INSERT INTO EAC_APP_VERSION (DB_VERSION, BIN_VERSION, UPGRADE_DATE, USER_NAME, IS_FINISHED) VALUES (4, '1.0.0.0', CURRENT_TIMESTAMP, 'ADMIN', 0);
^
@COMMENT:Dodanie tabeli konfiguracji importu automatycznego
^
CREATE TABLE EAC_IMPORT_KONF (
	ID				 INTEGER NOT NULL,
	TYP_IMPORTU		 SMALLINT NOT NULL,	
	FOLDER_ZRODLOWY	 VARCHAR(500),	
	FOLDER_DOCELOWY	 VARCHAR(500)	 
);
^
ALTER TABLE EAC_IMPORT_KONF ADD CONSTRAINT PK_EAC_IMPORT_KONF PRIMARY KEY (ID);
^
CREATE GENERATOR EAC_IMPORT_KONF_ID_GEN;
^
CREATE TRIGGER BI_EAC_IMPORT_KONF_ID FOR EAC_IMPORT_KONF
ACTIVE BEFORE INSERT
POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
      NEW.ID = GEN_ID(EAC_IMPORT_KONF_ID_GEN, 1);
END
^
@COMMENT:Odblokowanie bazy danych
^
UPDATE EAC_APP_VERSION SET IS_FINISHED = 1 WHERE DB_VERSION = 4;